aboutsummaryrefslogtreecommitdiffstats
path: root/main/mousepad/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-03-06 07:09:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-06 07:32:36 +0000
commitd059727ab1e74d0426faf1da2abcd961ad94aa16 (patch)
tree30879883a2edc2779bb19ff40ab29c7747e46fea /main/mousepad/APKBUILD
parent13af7551706f3089dbbd85914adfe4516a9acd91 (diff)
downloadaports-d059727ab1e74d0426faf1da2abcd961ad94aa16.tar.gz
aports-d059727ab1e74d0426faf1da2abcd961ad94aa16.tar.bz2
aports-d059727ab1e74d0426faf1da2abcd961ad94aa16.tar.xz
main/mousepad: upgrade to 0.4.0
Diffstat (limited to 'main/mousepad/APKBUILD')
-rw-r--r--main/mousepad/APKBUILD15
1 files changed, 10 insertions, 5 deletions
diff --git a/main/mousepad/APKBUILD b/main/mousepad/APKBUILD
index 9598675e79..bbe110c880 100644
--- a/main/mousepad/APKBUILD
+++ b/main/mousepad/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mousepad
-pkgver=0.3.0
-pkgrel=2
+pkgver=0.4.0
+pkgrel=0
pkgdesc="Simple Text Editor for Xfce4"
url="http://foo-projects.org/~benny/xfce/apps.html"
arch="all"
@@ -13,6 +13,11 @@ subpackages="$pkgname-lang"
source="http://archive.xfce.org/src/apps/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build () {
cd "$_builddir"
./configure \
@@ -32,6 +37,6 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="dcfcdfaa8a19c89f35d5f6f64753e6e1 mousepad-0.3.0.tar.bz2"
-sha256sums="10f27506994d0d0b8f9e02555404a144babedab97517abe3b6be8b2d21ff046d mousepad-0.3.0.tar.bz2"
-sha512sums="4e8f7cd8f05265c7f3964f0f5196721136c501351aa8c7bae1e3a6056fcd61f40364f2bb226817d458afa3707334dd600efbae2f8d050d65841ef03085717e42 mousepad-0.3.0.tar.bz2"
+md5sums="f55314c5dda6323883241e6cf01550a7 mousepad-0.4.0.tar.bz2"
+sha256sums="60114431eac8db6bb6ce18bd38f1630cccb684375b97a445a1b6fd619848d132 mousepad-0.4.0.tar.bz2"
+sha512sums="5196abd04268d1ace118dc485b72bfcfb7f9175eeaf52bc97c08c1646371d26401403a3bb199d882380bcb998547c65af9bd054f0365afd846c0ad74d3c3b1fe mousepad-0.4.0.tar.bz2"